function K = polykernel(X, Y, d)
%
% Calculate kernel matrix for the polynomial kernel of degree d.
%
%   K(i,j) = ( X(:,i)'*Y(:,j) + 1 ) ^ d
%
% INPUT
%   X1      : DxN1 matrix, each column is a sample
%   X2      : DxN2 matrix, each column is a sample
%   d       : degree of polynomial kernel
% 
% OUTPUT
%   K       : N1xN2 kernel matrix
%
%

K = ( X' * Y + 1 ) .^ d; 

